Package com.enonic.xp.region

## Class DescriptorBasedComponent.Builder

- java.lang.Object
- - com.enonic.xp.region.Component.Builder
  - - com.enonic.xp.region.DescriptorBasedComponent.Builder

- Direct Known Subclasses:
    `LayoutComponent.Builder`, `PartComponent.Builder`
  Enclosing class:
    DescriptorBasedComponent

      public static class DescriptorBasedComponent.Builder
      extends Component.Builder

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected PropertyTree` | `config` |
    `protected DescriptorKey` | `descriptor` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Builder()` |
    `protected` | `Builder​(DescriptorBasedComponent source)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DescriptorBasedComponent.Builder` | `config​(PropertyTree config)` |
    `DescriptorBasedComponent.Builder` | `descriptor​(DescriptorKey value)` |
    `DescriptorBasedComponent.Builder` | `name​(ComponentName value)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### descriptor

          protected DescriptorKey descriptor

    - #### config

          protected PropertyTree config

  - ### Constructor Detail

    - #### Builder

          protected Builder()

    - #### Builder

          protected Builder​(DescriptorBasedComponent source)

  - ### Method Detail

    - #### name

          @Deprecated
          public DescriptorBasedComponent.Builder name​(ComponentName value)

      Deprecated.
      Overrides:
        `name` in class `Component.Builder`

    - #### descriptor

          public DescriptorBasedComponent.Builder descriptor​(DescriptorKey value)

    - #### config

          public DescriptorBasedComponent.Builder config​(PropertyTree config)